## xdo 0.5.2

=== Makefile ===
NAME    := xdo
VERCMD  ?= git describe 2> /dev/null
VERSION := $(shell $(VERCMD) || cat VERSION)

CPPFLAGS += -D_POSIX_C_SOURCE=200112L -DVERSION=\"$(VERSION)\"
CFLAGS   += -std=c99 -pedantic -Wall -Wextra
LDLIBS   := -lxcb -lxcb-icccm -lxcb-ewmh -lxcb-xtest

PREFIX    ?= /usr/local
BINPREFIX ?= $(PREFIX)/bin
MANPREFIX ?= $(PREFIX)/share/man

SRC := $(wildcard *.c)
OBJ := $(SRC:.c=.o)

all: $(NAME)

debug: CFLAGS += -O0 -g
debug: $(NAME)

include Sourcedeps

$(OBJ): Makefile

$(NAME): $(OBJ)

install:
	mkdir -p "$(DESTDIR)$(BINPREFIX)"
	cp -p $(NAME) "$(DESTDIR)$(BINPREFIX)"
	mkdir -p "$(DESTDIR)$(MANPREFIX)/man1"
	cp -p doc/$(NAME).1 "$(DESTDIR)$(MANPREFIX)/man1"

uninstall:
	rm -f "$(DESTDIR)$(BINPREFIX)/$(NAME)"
	rm -f $(DESTDIR)$(MANPREFIX)/man1/$(NAME).1

doc:
	a2x -v -d manpage -f manpage -a revnumber=$(VERSION) doc/$(NAME).1.txt

clean:
	rm -f $(OBJ) $(NAME)

.PHONY: all debug install uninstall doc clean

=== debian/changelog ===
xdo (0.5.2-1) unstable; urgency=medium

  * Initial release (Closes: #816024)

 -- Raphael Mota Ramos <raphaelmota.ti@gmail.com>  Sun, 15 May 2016 21:00:12 -0300

=== debian/control ===
Source: xdo
Section: x11
Priority: optional
Maintainer: Raphael Mota Ramos <raphaelmota.ti@gmail.com>
Build-Depends: debhelper (>=9),
               libxcb-ewmh-dev,
               libxcb-icccm4-dev,
               libxcb-xtest0-dev
Standards-Version: 3.9.8
Homepage: https://github.com/baskerville/xdo
Vcs-Git: https://anonscm.debian.org/collab-maint/xdo.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xdo.git

Package: xdo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: small console-based utility to perform elementary actions on windows
 xdo it's useful to manipulate windows. Using it you will be able to do many
 things with your windows, like: close, kill, hide, show, raise, lower, move
 resize, activate and others, using the console on X window based systems.

=== debian/watch ===
version=4
https://github.com/baskerville/xdo/releases (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## xdo 0.5.7

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 VERCMD  ?= git describe 2> /dev/null
 VERSION := $(shell $(VERCMD) || cat VERSION)
 
-CPPFLAGS += -D_POSIX_C_SOURCE=200112L -DVERSION=\"$(VERSION)\"
+CPPFLAGS += -D_POSIX_C_SOURCE=200809L -DVERSION=\"$(VERSION)\"
 CFLAGS   += -std=c99 -pedantic -Wall -Wextra
-LDLIBS   := -lxcb -lxcb-icccm -lxcb-ewmh -lxcb-xtest
+LDLIBS   := -lxcb -lxcb-util -lxcb-icccm -lxcb-ewmh -lxcb-xtest
 
 PREFIX    ?= /usr/local
 BINPREFIX ?= $(PREFIX)/bin

=== debian/changelog ===
xdo (0.5.7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * debian/watch: Use GitHub /tags rather than /releases page.

  [ Nobuhiro Iwamatsu ]
  * d/control
    + Bump Standards-Version to 4.7.0.
    + Add 'Rules-Requires-Root: no'.
    + Update from libxcb-util0-dev to libxcb-util-dev in B-D.
  * d/copyright
    + Add myself to debian/*'s copyright.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 25 Jan 2025 18:04:16 +0900

xdo (0.5.7-1) unstable; urgency=medium

  * New upstream release (Closes: #877455).
  * Add myself to uploaders.
  * Add libxcb-util0-dev to B-D.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 28 Feb 2019 20:17:03 +0900

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Section: x11
 Priority: optional
 Maintainer: Raphael Mota Ramos <raphaelmota.ti@gmail.com>
-Build-Depends: debhelper (>=9),
-               libxcb-ewmh-dev,
+Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Build-Depends: debhelper-compat (= 13),
+	       libxcb-ewmh-dev,
                libxcb-icccm4-dev,
-               libxcb-xtest0-dev
-Standards-Version: 3.9.8
+               libxcb-xtest0-dev,
+	       libxcb-util-dev
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://github.com/baskerville/xdo
-Vcs-Git: https://anonscm.debian.org/collab-maint/xdo.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xdo.git
+Vcs-Git: https://salsa.debian.org/debian/xdo.git
+Vcs-Browser: https://salsa.debian.org/debian/xdo
 
 Package: xdo
 Architecture: any

=== debian/watch ===
version=4
https://github.com/baskerville/xdo/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
